7

This should be a simple question. On Ubuntu 15.04 how can I get Qgis upgraded from 2.4 to 2.12?

  • What version do you have in your repository? I do a 'sudo apt-get update && sudo apt-get upgrade' and I get the newest version from the QGIS repository (vs. the UBUNTUGIS repo...) – DPSSpatial Jan 25 '16 at 1:52
7

The Ubuntugis unstable ppa does not offer new versions of QGIS anymore.

So you have to add qgis.org to your repositories to get the newest versions.

See https://www.qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu for instructions.

Apart from editing the sources.list, you can use the Ubuntu Software Center to add the additional repositories as well.


I am using Linux Mint 17.3, and I added the ubuntugis ppa with

deb http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu trusty main
deb-src http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu trusty main

and qgis.org as additional repository:

deb http://qgis.org/ubuntugis trusty main

You would have to switch from trusty to vivid. Both need a key, in my case 314DF160 and D71472C4.

After that, run in a terminal

sudo apt-get clean
sudo apt-get update
sudo apt-cache policy qgis

and you should see what is installed and what you can upgrade to.

  • OK I have tried but adding 'deb qgis.org/ubuntugis vivid main' or 'deb qgis.org/debian vivid main' to my sources.list will still not pull down Qgis 2.12. – SteveResearch Jan 25 '16 at 9:05
  • Did you miss the http://, the qgis keyring and maybe a restart? – AndreJ Jan 26 '16 at 7:01
  • The 'comment' editor hides the http:// but yes it was there. I tried the Lubuntu Software Center also. What exactly should I be entering as the full string? 'ppa'? 'deb'? 'ubuntu vivid'? – SteveResearch Jan 26 '16 at 9:42
  • See my extended answer. – AndreJ Feb 2 '16 at 6:43
1

Here is how I did it. I found a page with a good link:

https://askubuntu.com/questions/645343/how-do-i-install-qgis-2-8-on-ubuntu-15-04

[EDITED SLIGHTLY]
To install the newest version of QGIS I added the QGIS repositories to my /etc/apt/sources.list file:

sudo leafpad /etc/apt/sources.list

and inserted these lines:

deb http://qgis.org/debian vivid main

deb-src http://qgis.org/debian vivid main

Remember to add the GPG keys as follows:

gpg --keyserver keyserver.ubuntu.com --recv 3FF5FFCAD71472C4

gpg --export --armor 3FF5FFCAD71472C4 | sudo apt-key add -

Then run:

sudo apt-get update

sudo apt-get install qgis python-qgis qgis-plugin-grass

This installed qgis 2.12.3-Lyon

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.